Subject: Re: [PATCH] color-words: make regex configurable via attributes

From: Thomas Rast <[email-masked]>
Date: Wed, 14 Jan 2009 21:17:59 +0100

Johannes Schindelin wrote:
> How about making this an extra paragraph?

Sure, why not.  Though I'm still in favour of taking some longer
version, possibly from my old series.

> On Wed, 14 Jan 2009, Thomas Rast wrote:
> > +- `cpp` suitable for source code in the C and C++ languages.
> > +
> 
> How about "written in C or C++"?

I was just trying to be consistent with all other items; all
programming languages are listed as "Foo language".

> > +A built-in pattern is provided for all languages listed in the last
> > +section.
> 
> Wow.  But how about "previous section"?

Indeed, thanks.

> > +#define PATTERNS(name, pattern, wordregex)			\
> > +	{ name, NULL, -1, { pattern, REG_EXTENDED }, NULL, wordregex }
> 
> You could get rid of that NULL if...
[...]
> ... you inserted word_regex before textconv.  In a way, I find this more 
> logical, since both funcname and word_regex have sensible defaults 
> (provided by you), whereas textconv is strictly a user's option.

Ok, I'll do that.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch